Module jdk.compiler
Package com.sun.source.doctree

# Interface SerialTree

All Superinterfaces:
  `BlockTagTree`, `DocTree`

public interface SerialTree extends BlockTagTree
A tree node for an `@serial` block tag.

        @serial field-description | include | exclude

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getDescription()`
Returns the description of the field, or the word "include" or "exclude".

### Methods declared in interface com.sun.source.doctree.BlockTagTree

`getTagName`

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### getDescription

List<? extends DocTree> getDescription()
Returns the description of the field, or the word "include" or "exclude".

Returns:
  the description of the field